<div class="container mt-4">
  <div class="row">
    <div class="col">
      <h1>{{@model.feature.name}}
        <small class="text-muted">
          Issues

          {{#if @model.feature.issueCount}}
          ({{@model.feature.issueCount}})
          {{/if}}
        </small>
      </h1>
    </div>
  </div>
</div>

<div class="container-fluid">
  <div class="row">
    <div class="col">
      <table class="table table-striped">
        <thead>
          <tr>
            <th>Title</th>
            <th>Description</th>
            <th>Type</th>
            <th>Author</th>
            <th>Creation Date</th>
            <th>Status</th>
            <th></th>
          </tr>
        </thead>

        <tbody>
          {{#each this.issues.items as |item|}}
          {{#if item.id}}
          <tr>
            <td>{{item.title}}</td>
            <td>
              {{item.description}}
              {{#if item.hasImage}}
              <img src={{item.file}} alt={{item.name}} class="issue-image">
              {{/if}}

              {{#if item.attributions}}
              <p>Attributions: <b>{{item.attributions}}</b></p>
              {{/if}}
            </td>
            <td>{{item.type}}</td>
            <td>{{item.authorObject.name}}</td>
            <td>{{item.creationDate}}</td>
            <td>{{item.status}}</td>
            <td>
              {{#if (eq item.status "open") }}
              <button type="button" class="btn btn-secondary" {{on "click" (fn this.resolve item)}}>
                <FaIcon @icon='check' />
              </button>

              <button type="button" class="btn btn-danger" {{on "click" (fn this.reject item)}}>
                <FaIcon @icon='trash' />
              </button>
              {{/if}}
            </td>
          </tr>
          {{/if}}
          {{/each}}
        </tbody>
      </table>


      <LazyListLoadMore @lazyList={{@model.issues}} class="mb-5" />
    </div>
  </div>
</div>